Loading...
Searching...
No Matches
osmo_v110_sync_ra1 Struct Reference

## Data Fields

unsigned int | data_rate
unsigned int | intermediate_rate
unsigned int | user_data_chunk_bits
int(* | adapt_user_to_ir )(struct osmo_v110_decoded_frame *fr, const ubit_t *d_in, size_t in_len)
| RA1 function in user bitrate -> intermediate rate direction.
int(* | adapt_ir_to_user )(ubit_t *d_out, size_t out_len, const struct osmo_v110_decoded_frame *fr)
| RA1 function in intermediate rate -> user bitrate direction.

## Field Documentation

## adapt_ir_to_user

int(* osmo_v110_sync_ra1::adapt_ir_to_user) (ubit_t *d_out, size_t out_len, const struct osmo_v110_decoded_frame *fr)

RA1 function in intermediate rate -> user bitrate direction.

Referenced by osmo_v110_sync_ra1_ir_to_user().

## adapt_user_to_ir

int(* osmo_v110_sync_ra1::adapt_user_to_ir) (struct osmo_v110_decoded_frame *fr, const ubit_t *d_in, size_t in_len)

RA1 function in user bitrate -> intermediate rate direction.

Referenced by osmo_v110_sync_ra1_user_to_ir().

## data_rate

unsigned int osmo_v110_sync_ra1::data_rate

Referenced by osmo_v110_sync_ra1_get_user_data_rate().

## intermediate_rate

unsigned int osmo_v110_sync_ra1::intermediate_rate

Referenced by osmo_v110_sync_ra1_get_intermediate_rate().

## user_data_chunk_bits

unsigned int osmo_v110_sync_ra1::user_data_chunk_bits

Referenced by osmo_v110_sync_ra1_get_user_data_chunk_bitlen().

The documentation for this struct was generated from the following file:

- src/isdn/v110.c